{********************************************************}
{                                                        }
{       How to Implement Sequential List in database     }
{                                                        }
{   Copyright (c) 2002 N. Adesh Jain, Bangalore, India   }
{                                                        }
{     All Rights Reserved.  E-Mail: adeshjain@37.com     }
{                                                        }
{********************************************************}
unit fmFloatIns;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Grids, DBGrids, Buttons, StdCtrls;

type
  TfmFloatInsert = class(TForm)
    gbxEmployee: TGroupBox;
    dbgEmployee: TDBGrid;
    dbnEmployee: TDBNavigator;
    sbtInsert: TSpeedButton;
    abtAppend: TSpeedButton;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure sbtInsertClick(Sender: TObject);
    procedure abtAppendClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmFloatInsert: TfmFloatInsert;

implementation

uses dmFloatIns;

{$R *.DFM}

procedure TfmFloatInsert.FormShow(Sender: TObject);
begin
  with dmFloatInsert do begin
    qryEmployee.Open;
  end;
end;

procedure TfmFloatInsert.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  with dmFloatInsert do begin
    qryEmployee.Close;
  end;
end;

procedure TfmFloatInsert.sbtInsertClick(Sender: TObject);
begin
  with dmFloatInsert do begin
    qryEmployee.Insert;
  end;
end;

procedure TfmFloatInsert.abtAppendClick(Sender: TObject);
begin
  with dmFloatInsert do begin
    qryEmployee.Last;
    qryEmployee.Append;
  end;
end;

end.
